# Installation
> `npm install --save @types/svg2ttf`

# Summary
This package contains type definitions for svg2ttf (https://github.com/fontello/svg2ttf).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/svg2ttf.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/svg2ttf/index.d.ts)
````ts
/** Converts SVG fonts to TTF format */
declare function svg2ttf(svgFontString: string, options?: svg2ttf.FontOptions): svg2ttf.MicroBuffer;

declare namespace svg2ttf {
    interface FontOptions {
        copyright?: string | undefined;
        description?: string | undefined;
        /**
         * Unix timestamp (in seconds) to override creation time
         */
        ts?: number | undefined;
        /**
         * manufacturer url
         */
        url?: string | undefined;
        /**
         * font version string, can be Version x.y or x.y
         * @default 'Version 1.0'
         */
        version?: string | undefined;
    }

    interface MicroBuffer {
        buffer: Uint8Array;
    }
}

export = svg2ttf;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: none

# Credits
These definitions were written by [Ewan Morrison](https://github.com/ewan-m).
